Package org.zkoss.zkmax.zul

## Interface MatrixModel<RowT,​HeadT,​CellT,​HeaderT>

- All Superinterfaces:
    `ListModel<RowT>`

      public interface MatrixModel<RowT,​HeadT,​CellT,​HeaderT>
      extends ListModel<RowT>

  The interface defines the methods that components like `Biglistbox` to get the content of cells and headers from the matrix data.
  Author:
    jumperchen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CellT` | `getCellAt​(RowT rowData, int columnIndex)` | Returns the data object of the cell from the specified index.
    `int` | `getColumnSize()` | Returns the length of the columns
    `HeadT` | `getHeadAt​(int rowIndex)` | Returns the data object of the head from the specified index.
    `HeaderT` | `getHeaderAt​(HeadT headData, int columnIndex)` | Returns the data object of the header from the specified index.
    `int` | `getHeadSize()` | Returns the length of the heads

    - ### Methods inherited from interface org.zkoss.zul.ListModel

      `addListDataListener, getElementAt, getListDataListeners, getSize, removeListDataListener`

- - ### Method Detail

    - #### getColumnSize

          int getColumnSize()

      Returns the length of the columns

    - #### getHeadSize

          int getHeadSize()

      Returns the length of the heads

    - #### getHeadAt

          HeadT getHeadAt​(int rowIndex)

      Returns the data object of the head from the specified index.
      Parameters:
        `rowIndex` - the index of the row in the headers

    - #### getCellAt

          CellT getCellAt​(RowT rowData,
                          int columnIndex)

      Returns the data object of the cell from the specified index.
      Parameters:
        `rowData` - the row data
        `columnIndex` - the index of the column

    - #### getHeaderAt

          HeaderT getHeaderAt​(HeadT headData,
                              int columnIndex)

      Returns the data object of the header from the specified index.
      Parameters:
        `headData` - the head data
        `columnIndex` - the index of the column